import { createReducer } from '@reduxjs/toolkit';

import {
  actionLogInSuccess,
  actionLogInReject,
  actionLogOutSuccess,
  actionLogOutReject,
} from '../action';

const initialState = { login: '', token: '' };

const reducerAuthorization = createReducer(initialState, {
  [actionLogInSuccess]: (_, { payload }) => {
    return payload;
  },
  [actionLogInReject]: (state, _) => {
    return state;
  },
  [actionLogOutSuccess]: () => {
    return initialState;
  },
  [actionLogOutReject]: (state, _) => {
    return state;
  },
});

export default reducerAuthorization;
